gRPC C#
gRPC C#
Namespaces
Grpc.Core
WriteOptions Class
WriteOptions Constructor
WriteOptions Properties
WriteOptions Methods
WriteOptions Fields

WriteOptions Class

Options for write operations.
Inheritance Hierarchy
System
Object
Grpc.Core
WriteOptions

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class WriteOptions

    Public Class WriteOptions

    public ref class WriteOptions

    type WriteOptions =  class end

The WriteOptions type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| WriteOptions | Initializes a new instance of WriteOptions class.

Top
Properties

| Name | Description
--- | --- | ---
| Flags | Gets the write flags.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
Fields

| Name | Description
--- | --- | ---
| Default | Default write options.

Top
See Also

#### Reference

Grpc.Core Namespace